<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry version="5.0-subset Scilab" xml:id="VanneReglante"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>VanneReglante</refname>

    <refpurpose>Thermal-hydraulic control valve</refpurpose>
  </refnamediv>

  <refsection>
    <title>Block Screenshot</title>

    <para><inlinemediaobject>
        <imageobject>
          <imagedata align="center"
                     fileref="../../../../images/palettes/VanneReglante.jpg"
                     valign="middle"></imagedata>
        </imageobject>
      </inlinemediaobject></para>
  </refsection>

  <refsection id="Contents_VanneReglante">
    <title>Contents</title>

    <itemizedlist>
      <listitem>
        <para>
          <link linkend="VanneReglante">Thermal-hydraulic control valve</link>
        </para>
      </listitem>

      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Palette_VanneReglante">Palette</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Description_VanneReglante">Description</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Dialogbox_VanneReglante">Dialog box</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Defaultproperties_VanneReglante">Default
              properties</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Interfacingfunction_VanneReglante">Interfacing
              function</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <link linkend="VanneReglante">Modelica model</link>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Palette_VanneReglante">
    <title>Palette</title>

    <itemizedlist>
      <listitem>
        <para>
          <link linkend="ThermoHydraulics_pal">Thermal-Hydraulics
          palette</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Description_VanneReglante">
    <title>Description</title>

    <para>The <emphasis role="bold">VanneReglante</emphasis> block represents
    a variable orifice control valve. The flow rate through the valve is
    proportional to the valve opening, ,</para>

    <para />

    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata align="center"
                     fileref="../../../../help/images/VanneReglante_img2_eng.gif"
                     valign="middle" />
        </imageobject>
      </inlinemediaobject>
    </para>

    <para>where is the valve opening, is the pressure difference, and is the
    flow rate. This model is only used for the laminar flow regimes. is a
    constant depending on the valve geometry and mass density of fluid.</para>
  </refsection>

  <refsection id="Dialogbox_VanneReglante">
    <title>Dialog box</title>

    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata align="center"
                     fileref="../../../../images/gui/VanneReglante_gui.gif"
                     valign="middle" />
        </imageobject>
      </inlinemediaobject>
    </para>

    <para />

    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">Cvmax</emphasis>
        </para>

        <para>Cvmax (maximum opening of the valve)</para>

        <para>Properties : Type 'vec' of size -1.</para>
      </listitem>

      <listitem>
        <para>
          <emphasis role="bold">p_rho</emphasis>
        </para>

        <para>Fluid density</para>

        <para>Properties : Type 'vec' of size -1.</para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Defaultproperties_VanneReglante">
    <title>Default properties</title>

    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">Inputs :</emphasis>
        </para>

        <itemizedlist>
          <listitem>
            <para><emphasis role="bold">Modelica variable name :</emphasis>
            'C1'</para>

            <para>Implicit <emphasis role="bold">variable.</emphasis></para>
          </listitem>

          <listitem>
            <para><emphasis role="bold">Modelica variable name :</emphasis>
            'Ouv'</para>

            <para>Explicit <emphasis role="bold">variable.</emphasis></para>
          </listitem>
        </itemizedlist>
      </listitem>

      <listitem>
        <para>
          <emphasis role="bold">Outputs :</emphasis>
        </para>

        <itemizedlist>
          <listitem>
            <para><emphasis role="bold">Modelica variable name :</emphasis>
            'C2'</para>

            <para>Implicit <emphasis role="bold">variable.</emphasis></para>
          </listitem>
        </itemizedlist>
      </listitem>

      <listitem>
        <para>
          <emphasis role="bold">Parameters :</emphasis>
        </para>

        <itemizedlist>
          <listitem>
            <para><emphasis role="bold">Modelica parameter name :</emphasis>
            'Cvmax'</para>

            <para><emphasis role="bold">Default value :</emphasis>
            8005.42</para>

            <para><emphasis role="bold">Is a state variable :</emphasis>
            no.</para>
          </listitem>

          <listitem>
            <para><emphasis role="bold">Modelica parameter name :</emphasis>
            'p_rho'</para>

            <para><emphasis role="bold">Default value :</emphasis> 0</para>

            <para><emphasis role="bold">Is a state variable :</emphasis>
            no.</para>
          </listitem>
        </itemizedlist>
      </listitem>

      <listitem>
        <para><emphasis role="bold">File name of the model :</emphasis>
        VanneReglante</para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Interfacingfunction_VanneReglante">
    <title>Interfacing function</title>

    <itemizedlist>
      <listitem>
        <para>SCI/modules/scicos_blocks/macros/Hydraulics/VanneReglante.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Modelicamodel_VanneReglante">
    <title>Modelica model</title>

    <itemizedlist>
      <listitem>
        <para>SCI/modules/scicos_blocks/macros/Hydraulics/VanneReglante.mo</para>
      </listitem>
    </itemizedlist>
  </refsection>
</refentry>
